Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13739/?format=api
{ "ob_id": 13739, "uuid": "0b38c9753f7e413d84b70e46f50a1fa0", "title": "Snow-Vegetation-Atmosphere Interactions over Heterogeneous Landscapes: Abisko Hemispherical Photography Images", "abstract": "Vegetation and meteorological observations (snow and radiation) were collected by various ground instruments in an area of forest near Abisko (Sweden) and Sodankylä (Finland) during measurement campaigns in March 2011 and March 2012. This dataset contains the hemispherical photography data collected at Abisko site in March 2011. Upward-looking hemispherical photographs were taken at every radiometer position using a Nikon Coolpix 4300 digital camera with a Nikon FC-E8 fisheye lens. The camera was mounted on a small tripod with the lens approximately 20 cm above the snow surface. In each case, the camera was levelled and rotated such that magnetic north is at the top of the photograph. This was a NERC funded project.", "keywords": "NERC, snow, photography, abisko", "publicationState": "published", "dataPublishedTime": "2015-12-14T20:01:28", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13740/?format=api", "dataPath": "/badc/nerc-rm2010/data/snow-vegetation-atmosphere/abisko/hemispherical_photography", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 47489884, "numberOfFiles": 71, "fileFormat": "JPG images" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3683/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/765/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Campaign research data.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8678/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12273/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7768/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52576/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52575/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52580/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52573/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52577/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52578/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52579/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52574/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54839/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/14279/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }